package com.mosty.wzzx.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.dto.wzzx.WzcxQuery;
import com.mosty.base.model.dto.wzzx.WztjQuery;
import com.mosty.base.model.entity.wzzx.TbWzXfwz;
import io.swagger.annotations.ApiOperation;

import java.util.List;
import java.util.Map;

public interface WztjService {

    @ApiOperation("人员位置")
    List<Map<String,Object>> rywz(WztjQuery dto);

    @ApiOperation("巡组位置")
    List<Map<String,Object>> xz(WztjQuery dto);

    @ApiOperation("里程数")
    List<Map<String,Object>> jrlcs(WztjQuery dto);

    @ApiOperation("人数里程巡组整合")
    List<Map<String,Object>> rslcxz(WztjQuery dto);

    @ApiOperation("位置人数")
    List<Map<String,Object>> jrwzrs(WztjQuery dto);

    @ApiOperation("巡组位置数")
    List<Map<String,Object>> jrxzwzs(WztjQuery dto);

    @ApiOperation("人员位置列表")
    IPage<Map<String,Object>> rywzlb(WztjQuery dto);

    @ApiOperation("报备轨迹查询")
    List<Map<String,Object>> bbgjcx(WzcxQuery dto);

    @ApiOperation("报备位置查询")
    List<Map<String,Object>> bbwzcx(WzcxQuery dto);

    @ApiOperation("民警轨迹查询")
    List<Map<String,Object>> mjgjcx(WzcxQuery dto);

    @ApiOperation("未报备位置查询")
    List<Map<String,Object>> wbbwz(WzcxQuery dto);

    @ApiOperation("巡组数量统计")
    Map<String, Object> xfsltj(String type);

    @ApiOperation("人员数量统计")
    Map<String, Object> rysltj(String type);

    @ApiOperation("设备数量统计")
    Map<String, Object> sblswz(String type);
}
